Bug 656617 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Rajnoha
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:33 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
12 users (show)

Fixed In Version: lvm2-2.02.81-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 07:55:43 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:33:18 UTC
Your package lvm2 appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fabio Massimo Di Nitto 2010-12-03 10:32:28 UTC
Peter, just FYI, without a fix for this bug, clvmd cannot start in rawhide because /var/run/lvm/ is not there and clvmd cannot create the listening socket.

Comment 2 Alasdair Kergon 2010-12-03 12:20:35 UTC
We're on 2-week dev cycles at the moment - so this one will be planned for the next fortnight (starting Monday).

Comment 3 Fabio Massimo Di Nitto 2010-12-03 12:27:06 UTC
(In reply to comment #2)
> We're on 2-week dev cycles at the moment - so this one will be planned for the
> next fortnight (starting Monday).

Thanks for the info. I only wanted to make sure that cause/effect were known (other than changing the spec file to %ghost).

Comment 4 Peter Rajnoha 2010-12-13 12:48:35 UTC
Patch for creating the /var/run/lvm on-demand is now upstream, waiting for packaging now.

Comment 5 Peter Rajnoha 2011-01-18 07:55:43 UTC
The current rawhide package should include all changes needed (lvm2-2.02.81-1.fc15), based on the guidelines found here: https://fedoraproject.org/wiki/Tmpfiles.d_packaging_draft.


Note You need to log in before you can comment on or make changes to this bug.